package example;

import java.util.Observable;

public class Employee extends Observable {
  private double salary = 0.0;
  private String name;

  public Employee(String name) {
    super();
    setName(name);    
  }

  public void setSalary( double newSalary ) {
    salary = newSalary;  // O salario mudou.
    
    setChanged();            // Marque que este objeto mudou, MANDATORIO.
    notifyObservers();   // Notificar todos os observadores, MANDATORIO.
  }

  public double getSalary() {
    return salary;
  }

  public String getName() {
    return name;
  }

  public void setName( String name ) {
    this.name = name;
  }
}
